{% extends "crm/layouts/basic.html" %}

{% block titel %}
    {{ block.super }}|{{ page_name }}
{% endblock %}

{% block content %}
        <h3>{{ project.name }}</h3>
        <p>Компания: <a href="{% url 'company-project-list' project.company.pk %}">{{ project.company }}</a></p>
        <p>Описание: {{ project.description|safe }}</span></p>
        <p>Стоимость: {{ project.cost }}</p>
        <p>Начат: {{ project.started_at }} Завершен: {{ project.finish_at|default:'Не завершен' }}</p>
        <p>
            <a href="{% url 'update-project' project.pk %}">Изменить</a>
            <a href="{% url 'add-interaction' project.pk %}">Добавить взаимодействие</a>
            <a href="{% url 'delete-project' project.pk %}">Удалить</a>
        </p>
        <div>
            <hr>
            <h4>Взаимодействия по проекту:</h4>
                {% for interaction in project.interaction_set.all %}
                    <div><strong>{{ forloop.counter }}.</strong></div>
                    <p>Тип зваимодействия: {{ interaction.get_chanel_display }}</p>
                    <p>Описание: {{ interaction.description|default:'Нет описания' }}</p>
                    <p>Оценка: {{ interaction.get_rate_display|default:'Нет оценки' }}</p>
                    <p>Менеджер: {{ interaction.manager }}</p>
                    <p>Начат: {{ interaction.created_at }} Обновлен: {{ interaction.updated_at|default:'Не завершен' }}</p>
                    <br>
                    <p>
                        <a href="{% url 'update-interaction' interaction.pk %}">Отредактировать взаимодействие</a>
                        <a href="{% url 'delete-interaction' interaction.pk %}">Удалить взаимодействие</a>
                    </p>
                    <hr>
                {% endfor %}
        </div>
        <div>
            <h4>Добавить взаимодействие:</h4>
             <form method="post">
                {% csrf_token %}
                {{ form.as_p}}
                <input type="submit"  value="Сохранить">
            </form>
        </div>
{% endblock %}